oracle.pgx.config

## Class TwoTablesGraphConfigBuilder

- java.lang.Object
- - oracle.pgx.config.AbstractGraphConfigBuilder<TwoTablesGraphConfig>
  - - oracle.pgx.config.TwoTablesGraphConfigBuilder

-     public class TwoTablesGraphConfigBuilder
      extends AbstractGraphConfigBuilder<TwoTablesGraphConfig>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoTablesGraphConfigBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TwoTablesGraphConfigBuilder` | `addEdgeProperty(String name, PropertyType type)`
    `TwoTablesGraphConfigBuilder` | `addEdgeProperty(String name, PropertyType type, Object defaultVal)` Adds an edge property to this builder
    `TwoTablesGraphConfigBuilder` | `addNodeProperty(String name, PropertyType type)`
    `TwoTablesGraphConfigBuilder` | `addNodeProperty(String name, PropertyType type, Object defaultVal)` Alias for `AbstractGraphConfigBuilder.addVertexProperty(String, PropertyType, Object)`.
    `TwoTablesGraphConfigBuilder` | `setCreateEdgeIdIndex(boolean create)` Sets the create edge id index flag.
    `TwoTablesGraphConfigBuilder` | `setCreateEdgeIdMapping(boolean create)` Sets the create edge id mapping.
    `TwoTablesGraphConfigBuilder` | `setCreateVertexIdIndex(boolean create)` Sets the create vertex ID index flag.
    `TwoTablesGraphConfigBuilder` | `setCreateVertexIdMapping(boolean create)` Sets the create vertex id mapping flag.
    `TwoTablesGraphConfigBuilder` | `setEdgesKey(String eKey)`
    `TwoTablesGraphConfigBuilder` | `setEdgesTableName(String etb)`
    `TwoTablesGraphConfigBuilder` | `setErrorHandlingOnMissedPropKey(OnMismatch action)` Sets the error handling on missed prop key.
    `TwoTablesGraphConfigBuilder` | `setErrorHandlingOnPropConversion(OnMismatch action)` Sets the error handling on prop conversion.
    `TwoTablesGraphConfigBuilder` | `setErrorHandlingOnTypeMismatch(OnMismatch action)` Sets the error handling on type mismatch.
    `TwoTablesGraphConfigBuilder` | `setFromNid(String fromNid)`
    `TwoTablesGraphConfigBuilder` | `setJdbcUrl(String url)`
    `TwoTablesGraphConfigBuilder` | `setNodesKey(String nKey)`
    `TwoTablesGraphConfigBuilder` | `setNodesTableName(String ntb)`
    `TwoTablesGraphConfigBuilder` | `setPassword(String pw)`
    `TwoTablesGraphConfigBuilder` | `setRefreshIntervalMs(int milliseconds)` Sets the refresh interval in milliseconds
    `TwoTablesGraphConfigBuilder` | `setToNid(String toNid)`
    `TwoTablesGraphConfigBuilder` | `setUsername(String un)`
    `TwoTablesGraphConfigBuilder` | `setVertexIdType(IdType vertexIdType)`

    - ### Methods inherited from class oracle.pgx.config.AbstractGraphConfigBuilder

      `addVertexProperty, build, setDateFormat`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TwoTablesGraphConfigBuilder

          public TwoTablesGraphConfigBuilder()

  - ### Method Detail

    - #### addEdgeProperty

          public TwoTablesGraphConfigBuilder addEdgeProperty(String name,
                                                    PropertyType type)

    - #### addEdgeProperty

          public TwoTablesGraphConfigBuilder addEdgeProperty(String name,
                                                    PropertyType type,
                                                    Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Adds an edge property to this builder
      Overrides:
        `addEdgeProperty` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `name` - the name of the edge property
        `type` - the type of the edge property
        `defaultVal` - the default value of the edge property (can be `null`)
      Returns:
        this builder

    - #### addNodeProperty

          public TwoTablesGraphConfigBuilder addNodeProperty(String name,
                                                    PropertyType type)

    - #### addNodeProperty

          public TwoTablesGraphConfigBuilder addNodeProperty(String name,
                                                    PropertyType type,
                                                    Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Alias for `AbstractGraphConfigBuilder.addVertexProperty(String, PropertyType, Object)`.
      Overrides:
        `addNodeProperty` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Returns:

    - #### setCreateEdgeIdIndex

          public TwoTablesGraphConfigBuilder setCreateEdgeIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id index flag.
      Overrides:
        `setCreateEdgeIdIndex` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateEdgeIdMapping

          public TwoTablesGraphConfigBuilder setCreateEdgeIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id mapping.
      Overrides:
        `setCreateEdgeIdMapping` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdIndex

          public TwoTablesGraphConfigBuilder setCreateVertexIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex ID index flag.
      Overrides:
        `setCreateVertexIdIndex` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdMapping

          public TwoTablesGraphConfigBuilder setCreateVertexIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex id mapping flag.
      Overrides:
        `setCreateVertexIdMapping` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setEdgesKey

          public TwoTablesGraphConfigBuilder setEdgesKey(String eKey)

    - #### setEdgesTableName

          public TwoTablesGraphConfigBuilder setEdgesTableName(String etb)

    - #### setErrorHandlingOnMissedPropKey

          public TwoTablesGraphConfigBuilder setErrorHandlingOnMissedPropKey(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on missed prop key.
      Overrides:
        `setErrorHandlingOnMissedPropKey` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnPropConversion

          public TwoTablesGraphConfigBuilder setErrorHandlingOnPropConversion(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on prop conversion.
      Overrides:
        `setErrorHandlingOnPropConversion` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnTypeMismatch

          public TwoTablesGraphConfigBuilder setErrorHandlingOnTypeMismatch(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on type mismatch.
      Overrides:
        `setErrorHandlingOnTypeMismatch` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setFromNid

          public TwoTablesGraphConfigBuilder setFromNid(String fromNid)

    - #### setJdbcUrl

          public TwoTablesGraphConfigBuilder setJdbcUrl(String url)

    - #### setNodesKey

          public TwoTablesGraphConfigBuilder setNodesKey(String nKey)

    - #### setNodesTableName

          public TwoTablesGraphConfigBuilder setNodesTableName(String ntb)

    - #### setPassword

          public TwoTablesGraphConfigBuilder setPassword(String pw)

    - #### setRefreshIntervalMs

          public TwoTablesGraphConfigBuilder setRefreshIntervalMs(int milliseconds)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the refresh interval in milliseconds
      Overrides:
        `setRefreshIntervalMs` in class `AbstractGraphConfigBuilder<TwoTablesGraphConfig>`
      Parameters:
        `milliseconds` - the interval in milliseconds
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setToNid

          public TwoTablesGraphConfigBuilder setToNid(String toNid)

    - #### setUsername

          public TwoTablesGraphConfigBuilder setUsername(String un)

    - #### setVertexIdType

          public TwoTablesGraphConfigBuilder setVertexIdType(IdType vertexIdType)

Copyright © 2015. All rights reserved.